Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1491741 - New package: openstack-macros
Summary: New package: openstack-macros
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RDO
Classification: Community
Component: Package Review
Version: trunk
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: trunk
Assignee: Alan Pevec
QA Contact: hguemar
URL:
Whiteboard:
Depends On:
Blocks: RDO-QUEENS
TreeView+ depends on / blocked
 
Reported: 2017-09-14 14:30 UTC by Javier Peña
Modified: 2019-02-01 09:52 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1518070 (view as bug list)
Environment:
Last Closed: 2017-12-13 10:44:25 UTC


Attachments (Terms of Use)

Description Javier Peña 2017-09-14 14:30:03 UTC
Description of problem:

openstack-macros are a number of RPM macros, maintained by the OpenStack rpm-packaging project, and used in multiple RDO spec files.

The official repository is https://github.com/openstack/rpm-packaging/tree/master/openstack/openstack-macros (a subset of the rpm-packaging repo). It can be built from the Jinja2 spec template available at https://github.com/openstack/rpm-packaging/blob/master/openstack/openstack-macros/openstack-macros.spec.j2

Comment 1 Haïkel Guémar 2017-12-13 10:44:25 UTC
It's already been imported.
Macros from OpenStack are licensed under ASL 2.0 and the ones from Fedora are MIT (default licensing).

Only one missing detail: no %dist (I'll fix it)


Note You need to log in before you can comment on or make changes to this bug.